if Rails.env.development? or Rails.env.staging?
  GrapeSwaggerRails.options.url      = '/api/docs'
  GrapeSwaggerRails.options.app_name = '项目文档'


  GrapeSwaggerRails.options.before_action do
    GrapeSwaggerRails.options.app_url = request.protocol + request.host_with_port
  end

  if Rails.env.staging?
    module GrapeSwaggerRails
      module HttpBaseAuth
        extend ActiveSupport::Concern

        included do
          #如果安装了configgem包，取消掉注释，并且设定相应的值
          #http_basic_authenticate_with name: Settings.swagger.name, password: Settings.swagger.password
          http_basic_authenticate_with name: "rails_swagger", password: "rails_swagger"
        end
      end
    end

    GrapeSwaggerRails::ApplicationController.send :include, GrapeSwaggerRails::HttpBaseAuth
  end
end
