module GemsGenerator
  module Config
    module Generators
      class GitignoreGenerator < ::Rails::Generators::Base
        source_root File.expand_path("../templates", __FILE__)
        
        def insert_gitignore
          append_to_file ".gitignore" do
            "\ncoverage\n" +
            "config/settings.local.yml\n" +
            "config/settings/*.local.yml\n" +
            "config/environments/*.local.yml\n" +
            "config/database.local.yml\n"
          end
        end
      end
    end
  end
end
