module Concerns
  module DocumentHandler
    extend ActiveSupport::Concern

    included do
      if Rails.env.development? or Rails.env.staging?
        add_swagger_documentation(
            mount_path: '/docs',
            base_path: '/',
            hide_format: true
        )
      end
    end
  end
end
