module GemsGenerator
  module Lograge
    module Generators
      class InitGenerator < ::Rails::Generators::Base
        source_root File.expand_path("../templates", __FILE__)

        def insert_gems 
          gem 'lograge'
          gem 'logstash-event'
        end

        def create_config_file
          template "lograge.rb", "config/initializers/lograge.rb"
        end
      end
    end
  end
end
